##############################
## Config
# Cheñch teuliad
source_path <- rstudioapi::getActiveDocumentContext()$path
setwd(dirname(dirname(source_path)))

##############################
## Enporzhiañ ha treiñ ar roadennoù
# (ar roadennoù kriz = ur restr evit ul lec'h)
# disoc'h = data
source("./scripts/enporzhiañ.R")

##############################
## Enporzhiañ peadra d'ober ur gartenn
# (harzoù hag all)
# disoc'h = kumuniou, kumuniou_poly, kumuniou_poly_simple, dept, dept_poly, dept_poly_simple
source("./scripts/enporzhiañ_kartenn.R")



##############################
## Sevel ur gartenn
anv <- "Agropyron repens"

sub_data <- data %>% 
  filter(anv_latin==anv) %>%
  tidyr::unite(., label, anv_bzg_1, anv_bzg_2, anv_bzg_3, na.rm=TRUE, sep="\n")


pdf(paste0("./res/", anv, ".pdf"), width=10, height=7)
p <- ggplot(data=kumuniou_poly_simple)+
  geom_sf(size=0.1, color="#bfbfbf")+
  ggtitle(anv)+
  theme_void()+
  # Anvioù
  geom_label(data=sub_data, alpha=.25, color="black", aes(x=hed, y=led, label=label))+
  theme(plot.title = element_text(face = "bold", hjust=0.5, size=12),
        legend.position="bottom",
        legend.title=element_text(size=10),
        legend.key.width=unit(0.5, "inches"),
        legend.key.height=unit(0.1, "inches"))
print(p)
dev.off()
